#[non_exhaustive]
enum PortsAllocation {
    DummyTCPServer,
    ValidWithTokenAuth,
    InvalidWithTokenAuth,
}

fn get_port_number(alloc: PortsAllocation, index: u16) -> u16 {
    2100 + 20 * (alloc as u16) + index
}

const LOCALHOST: &str = "127.0.0.1";

mod dummy_tcp_sockets;

mod invalid_with_token_auth;
mod valid_with_token_auth;
